//
// Created by robin on 6/19/16.
//

#ifndef LIBNFC_CPPTOOLS_FREEFARETAG_H
#define LIBNFC_CPPTOOLS_FREEFARETAG_H

#include <freefare.h>
#include <string>
#include "libnfc_cpptools/Result.h"

namespace LibNfc
{
namespace FreeFare
{

class FreeFareTagInternal
{
public:

    explicit FreeFareTagInternal(FreefareTag tag);
    virtual ~FreeFareTagInternal();

    const freefare_tag * getTag() const;

    freefare_tag_type getType() const;

    const std::string & getUid() const;

protected:
    const FreefareTag _tag;

    const freefare_tag_type _type;

    const std::string _uid;
};

}; // FreeFare
}; // LibNfc

#endif //LIBNFC_CPPTOOLS_FREEFARETAG_H
