//
// Created by robin on 10/1/17.
//

#include "LibNfcOperation.h"

LibNfcOperation::LibNfcOperation(QSharedPointer<LibNfc::Core::LibNfcContext>& libNfc,
                                 std::function<void(QSharedPointer<LibNfc::Core::LibNfcContext>)> operation)
        : m_pLibNfc(libNfc)
        , m_operation(operation)
{
}

void LibNfcOperation::run()
{
    m_operation(m_pLibNfc);
}
