//
// Created by robin on 7/22/16.
//

#ifndef LIBNFC_CPPTOOLS_FREEFAREDEVICEBUSINESS_H
#define LIBNFC_CPPTOOLS_FREEFAREDEVICEBUSINESS_H

#include "NfcDevice.h"
#include "FreeFareTag.h"

namespace LibNfc
{
namespace FreeFare
{

class FreeFareDeviceInternal;

class FreeFareDevice
{
public:
    explicit FreeFareDevice(std::shared_ptr<LibNfc::Core::NfcDevice> device);
    ~FreeFareDevice() = default;

    LibNfc::Utils::Result<std::vector<std::shared_ptr<FreeFareTag>>> getTags() const;

protected:
    std::shared_ptr<LibNfc::Core::NfcDevice> _device;

    std::shared_ptr<FreeFareDeviceInternal> _freeFareDevice;
};

}; // FreeFare
}; // LibNfc

#endif //LIBNFC_CPPTOOLS_FREEFAREDEVICEBUSINESS_H
