//
// Created by robin on 6/19/16.
//

#ifndef LIBNFC_CPPTOOLS_FREEFAREDEVICE_H
#define LIBNFC_CPPTOOLS_FREEFAREDEVICE_H


#include <freefare.h>
#include "NfcDeviceInternal.h"
#include "Tags/FreeFareTagInternal.h"

namespace LibNfc
{
namespace FreeFare
{

class FreeFareDeviceInternal
{
public:
    explicit FreeFareDeviceInternal(std::shared_ptr<LibNfc::Core::NfcDeviceInternal> device);
    ~FreeFareDeviceInternal() = default;

    LibNfc::Utils::Result<std::vector<std::shared_ptr<FreeFareTagInternal>>> getTags();

private:
    std::shared_ptr<LibNfc::Core::NfcDeviceInternal> _device;
};

}; // FreeFare
}; // LibNfc

#endif //LIBNFC_CPPTOOLS_FREEFAREDEVICE_H
