//
// Created by robin on 10/8/17.
//

#ifndef NFC_CPPTOOLS_FREEFARETAGCLASSICINTERNAL_H
#define NFC_CPPTOOLS_FREEFARETAGCLASSICINTERNAL_H

#include "Tags/FreeFareTagInternal.h"

namespace LibNfc
{
namespace FreeFare
{

class FreeFareTagClassicInternal : public FreeFareTagInternal
{
public:
    explicit FreeFareTagClassicInternal(FreefareTag tag);
    ~FreeFareTagClassicInternal() override = default;

    LibNfc::Utils::ResultBool authenticate(int sector, std::string key, int keyType);

    LibNfc::Utils::ResultString readBlock(int sector, int block, std::string key, int keyType);

    LibNfc::Utils::ResultBool writeBlock(int sector, int block, std::string key, int keyType, const std::string& data);

    int getFirstBlock(int sector) const;

    int getLastBlock(int sector) const;

    int getSectorBlockCount(int sector);
};

}; // FreeFare
}; // LibNfc

#endif //NFC_CPPTOOLS_FREEFARETAGCLASSICINTERNAL_H
