//
// Created by robin on 6/19/16.
//

#ifndef LIBNFC_CPPTOOLS_NFCDEVICEDBO_H
#define LIBNFC_CPPTOOLS_NFCDEVICEDBO_H


#include <string>
#include <nfc/nfc-types.h>
#include "libnfc_cpptools/Result.h"
#include "LibNfcContextInternal.h"

namespace LibNfc
{
namespace Core
{

class LibNfcContextInternal;

class NfcDeviceInternal
{
public:
    NfcDeviceInternal(const LibNfcContextInternal* libNfc, const std::string& connStr);
    ~NfcDeviceInternal();

    LibNfc::Utils::ResultBool open();

    void close();

    const std::string & getConnStr() const;

    nfc_device * getDevice() const;

private:
    std::string _connStr;

    nfc_device* _device;

    const LibNfcContextInternal* _libNfc;
};

}; // Core
}; // LibNfc

#endif //LIBNFC_CPPTOOLS_NFCDEVICEDBO_H
